# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "puu-installer"
version = "0.2.2"
authors = ["Jarkko Sakkinen <jarkko.sakkinen@opinsys.fi>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Standalone installer for bootc-based OSs"
homepage = "https://codeberg.org/puu/puu-installer"
readme = "README.md"
license = "GPL-2.0-or-later"
repository = "https://codeberg.org/puu/puu-installer"

[[bin]]
name = "puu-installer"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.argh]
version = "0.1"

[dependencies.blkid]
version = "1"

[dependencies.crossterm]
version = "0.28"

[dependencies.efivar]
version = "2"

[dependencies.fatfs]
version = "0.3"

[dependencies.fscommon]
version = "0.1"

[dependencies.gptman]
version = "3"
features = ["nix"]

[dependencies.hex]
version = "0.4"

[dependencies.libc]
version = "0.2"

[dependencies.nix]
version = "0.29"
features = [
    "mount",
    "ioctl",
    "reboot",
    "fs",
    "user",
    "signal",
    "process",
]

[dependencies.ostree]
version = "0.20"

[dependencies.ratatui]
version = "0.29"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_norway]
version = "0.9"

[dependencies.sha-crypt]
version = "0.6"

[dependencies.sha2]
version = "0.10"

[dependencies.strum]
version = "0.26"
features = ["derive"]

[dependencies.udev]
version = "0.9"
